Loading...
Searching...
No Matches
caf::detail::tl_pad_right< List, NewSize, FillType > Struct Template Reference

Resizes the list to contain NewSize elements and uses FillType to initialize the new elements with. More...

`#include <type_list.hpp>`

## Public Types

using | type

## Detailed Description

template<class List, size_t NewSize, class FillType = unit_t>
struct caf::detail::tl_pad_right< List, NewSize, FillType >

Resizes the list to contain NewSize elements and uses FillType to initialize the new elements with.

## Member Typedef Documentation

## type

template<class List, size_t NewSize, class FillType = unit_t>

using caf::detail::tl_pad_right< List, NewSize, FillType >::type

Initial value:
typename tl_pad_right_impl<
List,
(tl_size<List>::value < NewSize),
tl_size<List>::value,
NewSize,
FillType
>::type
caf::detail::tl_size
Gets the number of template parameters of List.
Definition type_list.hpp:101

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/type_list.hpp